Subject: Re: pgbench with partitioned tables

From: Álvaro Herrera <[email-masked]>
Date: Sat, 8 Feb 2025 11:32:58 +0100

On 2025-Feb-07, Melanie Plageman wrote:

> Okay, I've stared at this a bit, and it seems basically fine the way
> it is (I might add a bit more whitespace, clean up the commit message,
> etc). So I'm interested in committing it. I will admit that having
> never committed anything to pgbench, I'm a bit nervous. So, give me a
> couple days to work up the nerve.

Sounds good.  I only wanted to say that I would use PQexecParams()
instead of PQexec() in the new function, avoiding the psprintf and
pfree, and also that initializing relkind to RELKIND_RELATION is strange
and probably unnecessary.

-- 
Álvaro Herrera         PostgreSQL Developer  —  https://www.EnterpriseDB.com/
"Cuando mañana llegue pelearemos segun lo que mañana exija" (Mowgli)